/************************************************************************
 * RebusLevels.js
 ************************************************************************
 * Copyright (c) 2021 Pedro Tonini Rosenberg Schneider.
 *
 * This file is part of Alfabetiza.
 *
 * Alfabetiza is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Alfabetiza is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *     
 * You should have received a copy of the GNU General Public License     
 * along with Alfabetiza.  If not, see <https://www.gnu.org/licenses/>.
 *************************************************************************/

const REBUS_LEVELS = {
    tutorial:
    {
        questionCards: [
        {
            path: "assets/textures/glasses.png",
            name: "Óculos",
        },
        {
            path: "assets/textures/house.png",
            name: "Casa",
        }, ],

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Macaco",
            answer: false,
        },
        {
            path: "assets/textures/oca.png",
            name: "Oca",
            answer: true,
        },
        {
            path: "assets/textures/key.png",
            name: "Chave",
            answer: false,
        }, ],

    },

    level1:
    {
        questionCards: [
        {
            path: "assets/textures/glasses.png",
            name: "Relógio",
        },
        {
            path: "assets/textures/house.png",
            name: "Dedo",
        }, ],

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Rede",
            answer: true,
        },
        {
            path: "assets/textures/oca.png",
            name: "Vaca",
            answer: false,
        },
        {
            path: "assets/textures/key.png",
            name: "Rato",
            answer: false,
        }, ],
    },

    level2:
    {
        questionCards: [
        {
            path: "assets/textures/glasses.png",
            name: "Cueca",
        },
        {
            path: "assets/textures/house.png",
            name: "Tigre",
        },
        {
            path: "assets/textures/house.png",
            name: "Abelha",
        }, ],

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Cutia",
            answer: true,
        },
        {
            path: "assets/textures/oca.png",
            name: "Unha",
            answer: false,
        },
        {
            path: "assets/textures/key.png",
            name: "Juba",
            answer: false,
        }, ],
    },

    level3:
    {
        questionCards: [
        {
            path: "assets/textures/glasses.png",
            name: "Macaco",
        },
        {
            path: "assets/textures/house.png",
            name: "Tomate",
        }, ],

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Mato",
            answer: true,
        },
        {
            path: "assets/textures/oca.png",
            name: "Foca",
            answer: false,
        },
        {
            path: "assets/textures/key.png",
            name: "Mesa",
            answer: false,
        }, ],
    },

    level4:
    {
        questionCards: [
        {
            path: "assets/textures/glasses.png",
            name: "Unha",
        },
        {
            path: "assets/textures/house.png",
            name: "Vaca",
        }, ],

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Uva",
            answer: true,
        },
        {
            path: "assets/textures/oca.png",
            name: "Rato",
            answer: false,
        },
        {
            path: "assets/textures/key.png",
            name: "Cueca",
            answer: false,
        }, ],
    },

    level5:
    {
        questionCards: [
        {
            path: "assets/textures/glasses.png",
            name: "Foca",
        },
        {
            path: "assets/textures/house.png",
            name: "Mesa",
        }, ],

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Fome",
            answer: true,
        },
        {
            path: "assets/textures/oca.png",
            name: "Pena",
            answer: false,
        },
        {
            path: "assets/textures/key.png",
            name: "Chave",
            answer: false,
        }, ],
    },

    level6:
    {
        questionCards: [
        {
            path: "assets/textures/glasses.png",
            name: "Cavalo",
        },
        {
            path: "assets/textures/house.png",
            name: "Juba",
        }, ],

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Caju",
            answer: true,
        },
        {
            path: "assets/textures/oca.png",
            name: "Pena",
            answer: false,
        },
        {
            path: "assets/textures/key.png",
            name: "Tigre",
            answer: false,
        }, ],
    },

    level7:
    {
        questionCards: [
        {
            path: "assets/textures/glasses.png",
            name: "Pena",
        },
        {
            path: "assets/textures/house.png",
            name: "Rato",
        }, ],

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Pêra",
            answer: true,
        },
        {
            path: "assets/textures/oca.png",
            name: "Pato",
            answer: false,
        },
        {
            path: "assets/textures/key.png",
            name: "Carro",
            answer: false,
        }, ],
    },

    level8:
    {
        questionCards: [
        {
            path: "assets/textures/glasses.png",
            name: "Maça",
        },
        {
            path: "assets/textures/glasses.png",
            name: "Chave",
        },
        {
            path: "assets/textures/house.png",
            name: "Dominó",
        }, ],

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Machado",
            answer: true,
        },
        {
            path: "assets/textures/oca.png",
            name: "Macaco",
            answer: false,
        },
        {
            path: "assets/textures/key.png",
            name: "Cavalo",
            answer: false,
        }, ],
    },

    level9:
    {
        questionCards: [
        {
            path: "assets/textures/glasses.png",
            name: "Toalha",
        },
        {
            path: "assets/textures/glasses.png",
            name: "Mato",
        },
        {
            path: "assets/textures/house.png",
            name: "Telefone",
        }, ],

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Tomate",
            answer: true,
        },
        {
            path: "assets/textures/oca.png",
            name: "Tomada",
            answer: false,
        },
        {
            path: "assets/textures/key.png",
            name: "Peteca",
            answer: false,
        }, ],
    },

    level10:
    {
        questionCards: [
        {
            path: "assets/textures/glasses.png",
            name: "Avião",
        },
        {
            path: "assets/textures/glasses.png",
            name: "Banana",
        },
        {
            path: "assets/textures/glasses.png",
            name: "Cadeira",
        },
        {
            path: "assets/textures/house.png",
            name: "Xícara",
        }, ],

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Abacaxi",
            answer: true,
        },
        {
            path: "assets/textures/oca.png",
            name: "Abacate",
            answer: false,
        },
        {
            path: "assets/textures/key.png",
            name: "Salada",
            answer: false,
        }, ],
    },

    level11:
    {
        questionCards: [
        {
            path: "assets/textures/glasses.png",
            name: "Baleia",
        },
        {
            path: "assets/textures/glasses.png",
            name: "Tatu",
        },
        {
            path: "assets/textures/house.png",
            name: "Tapete",
        }, ],

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Batata",
            answer: true,
        },
        {
            path: "assets/textures/oca.png",
            name: "Baterraba",
            answer: false,
        },
        {
            path: "assets/textures/key.png",
            name: "Bolacha",
            answer: false,
        }, ],
    },

    level12:
    {
        questionCards: [
        {
            path: "assets/textures/glasses.png",
            name: "Anel",
        },
        {
            path: "assets/textures/glasses.png",
            name: "Batata",
        },
        {
            path: "assets/textures/glasses.png",
            name: "Caju",
        },
        {
            path: "assets/textures/house.png",
            name: "Tesoura",
        }, ],

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Abacate",
            answer: true,
        },
        {
            path: "assets/textures/oca.png",
            name: "Abacaxi",
            answer: false,
        },
        {
            path: "assets/textures/key.png",
            name: "Abóbora",
            answer: false,
        }, ],
    },

    level13:
    {
        questionCards: [
        {
            path: "assets/textures/glasses.png",
            name: "Cebola",
        },
        {
            path: "assets/textures/glasses.png",
            name: "Noiva",
        },
        {
            path: "assets/textures/glasses.png",
            name: "Uva",
        },
        {
            path: "assets/textures/house.png",
            name: "Raio",
        }, ],

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Cenoura",
            answer: true,
        },
        {
            path: "assets/textures/oca.png",
            name: "Cebola",
            answer: false,
        },
        {
            path: "assets/textures/key.png",
            name: "Banana",
            answer: false,
        }, ],
    },

    level14:
    {
        questionCards: [
        {
            path: "assets/textures/glasses.png",
            name: "Macaco",
        },
        {
            path: "assets/textures/glasses.png",
            name: "Rato",
        },
        {
            path: "assets/textures/glasses.png",
            name: "Cutia",
        },
        {
            path: "assets/textures/house.png",
            name: "Jacaré",
        }, ],

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Maracujá",
            answer: true,
        },
        {
            path: "assets/textures/oca.png",
            name: "Manga",
            answer: false,
        },
        {
            path: "assets/textures/key.png",
            name: "Melancia",
            answer: false,
        }, ],
    },

    level15:
    {
        questionCards: [
        {
            path: "assets/textures/glasses.png",
            name: "Janela",
        },
        {
            path: "assets/textures/glasses.png",
            name: "Bule",
        },
        {
            path: "assets/textures/glasses.png",
            name: "Tigre",
        },
        {
            path: "assets/textures/glasses.png",
            name: "Casa",
        },
        {
            path: "assets/textures/house.png",
            name: "Bala",
        }, ],

        optionCards: [
        {
            path: "assets/textures/monke.png",
            name: "Jabuticaba",
            answer: true,
        },
        {
            path: "assets/textures/oca.png",
            name: "Hipopótamo",
            answer: false,
        },
        {
            path: "assets/textures/key.png",
            name: "Jabuti",
            answer: false,
        }, ],
    },
}